'---------------------------------------------- ' ' Preconditions: Drawing document is open and contains at least one drawing view. ' ' Postconditions: None ' '---------------------------------------------- Option Explicit Dim swApp As SldWorks.SldWorks Dim swDrawing As SldWorks.DrawingDoc Dim currentView As SldWorks.View Sub main() Set swApp = Application.SldWorks Set swDrawing = swApp.ActiveDoc ' Iterate the drawing views Set currentView = swDrawing.GetFirstView While Not currentView Is Nothing ' Get the crosshatch count on the view Debug.Print currentView.GetFaceHatchCount If currentView.GetFaceHatchCount = 0 Then Set currentView = currentView.GetNextView Else ' Get the crosshatches on the view Dim hatcharray As Variant hatcharray = currentView.GetFaceHatches ' Following FaceHatch properties are accessible to you Debug.Print hatcharray(1).Pattern Debug.Print hatcharray(1).Angle Debug.Print hatcharray(1).Color Debug.Print hatcharray(1).Layer Debug.Print hatcharray(1).Scale2 Debug.Print hatcharray(1).SolidFill Set currentView = currentView.GetNextView End If Wend End Sub